aboutsummaryrefslogtreecommitdiff
path: root/irc/ircd-rusnet
diff options
context:
space:
mode:
authorChris Rees <crees@FreeBSD.org>2011-07-09 10:18:31 +0000
committerChris Rees <crees@FreeBSD.org>2011-07-09 10:18:31 +0000
commit143e7b3dcd074465610dec9be68cfeccc19206a3 (patch)
tree6902a2221108db9926d3d6d130f653f10bfa9298 /irc/ircd-rusnet
parent0d9a711a4e8cda6348e05bf82cc364569aae9ec8 (diff)
downloadports-143e7b3dcd074465610dec9be68cfeccc19206a3.tar.gz
ports-143e7b3dcd074465610dec9be68cfeccc19206a3.zip
Notes
Diffstat (limited to 'irc/ircd-rusnet')
-rw-r--r--irc/ircd-rusnet/Makefile16
-rw-r--r--irc/ircd-rusnet/files/patch-support-configure315
-rw-r--r--irc/ircd-rusnet/files/patch-support-configure.in60
-rw-r--r--irc/ircd-rusnet/pkg-deinstall26
-rw-r--r--irc/ircd-rusnet/pkg-install35
5 files changed, 167 insertions, 285 deletions
diff --git a/irc/ircd-rusnet/Makefile b/irc/ircd-rusnet/Makefile
index 08a2fad54c1b..709478a08c44 100644
--- a/irc/ircd-rusnet/Makefile
+++ b/irc/ircd-rusnet/Makefile
@@ -25,8 +25,8 @@ USE_BZIP2= yes
GNU_CONFIGURE= yes
CONFIGURE_ENV= irc_cv_mathlib=-lm
-USER= ircd
-GROUP= ${USER}
+USERS= ircd
+GROUPS= ${USERS}
NETWORK= RusNet
VARDIR?= /var
@@ -38,7 +38,7 @@ IRCD_RUNDIR?= ${VARDIR}/run/ircd
CONFIGURE_ARGS= --sysconfdir=${IRCD_CONFDIR} --codepagedir=${IRCD_CODEPAGES} \
--logdir=${IRCD_LOGDIR} --localstatedir=${IRCD_RUNDIR} \
- --with-user=${USER} --with-group=${GROUP} --with-netname=${NETWORK}
+ --with-user=${USERS} --with-group=${GROUPS} --with-netname=${NETWORK}
ALL_TARGET= server tkserv client
BUILD_WRKSRC= ${WRKSRC}/build
@@ -74,12 +74,6 @@ CONFIGURE_ARGS+=--enable-dsm
.include <bsd.port.pre.mk>
-pre-configure:
- @${SH} ${PKGINSTALL} ${PKGNAME} PRE-CONFIGURE
-
-pre-install:
- @${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
-
post-install:
${INSTALL_SCRIPT} ${FILESDIR}/ircd.sh.sample ${PREFIX}/etc/rc.d
${CP} ${FILESDIR}/ircd.motd.sample ${IRCD_CONFDIR}
@@ -92,8 +86,8 @@ post-install:
.for logfile in ${LOGS}
${TOUCH} ${IRCD_LOGDIR}/${logfile}
.endfor
- @${CHOWN} -R ${USER}:${GROUP} ${IRCD_LOGDIR}
- @${CHOWN} -R ${USER}:${GROUP} ${IRCD_RUNDIR}
+ @${CHOWN} -R ${USERS}:${GROUPS} ${IRCD_LOGDIR}
+ @${CHOWN} -R ${USERS}:${GROUPS} ${IRCD_RUNDIR}
@${CAT} ${PKGMESSAGE}
.include <bsd.port.post.mk>
diff --git a/irc/ircd-rusnet/files/patch-support-configure b/irc/ircd-rusnet/files/patch-support-configure
index 8a255f63ec8a..4617123aeb9c 100644
--- a/irc/ircd-rusnet/files/patch-support-configure
+++ b/irc/ircd-rusnet/files/patch-support-configure
@@ -1,5 +1,12 @@
---- support/configure.old Tue Dec 7 10:11:23 2004
-+++ support/configure Mon Aug 1 19:15:50 2005
+$FreeBSD$
+
+The check for the UIDs has been removed since bsd.port.mk should handle user
+creation via the USERS variable, and it's certainly wrong to mess with
+/etc/passwd before configure. There should be no problem with hardcoding the
+UID; it's hardcoded into ${PORTSDIR}/UIDs anyway.
+
+--- support/configure.orig 2004-12-07 09:11:23.000000000 +0000
++++ support/configure 2011-06-04 12:38:56.981921275 +0100
@@ -1,6 +1,6 @@
#! /bin/sh
@@ -17,7 +24,7 @@
# Any additions from configure.in:
ac_help="$ac_help
--with-zlib checks for zlib; if found, enables compressed links"
-@@ -29,6 +29,10 @@ ac_help="$ac_help
+@@ -29,6 +29,10 @@
--enable-ip6 enables IPv6"
ac_help="$ac_help
--enable-dsm enables dynamically shared modules for iauth"
@@ -28,7 +35,7 @@
# Initialize some variables set by options.
# The variables have the same names as the options, with
-@@ -178,7 +182,7 @@ Directory and file names:
+@@ -178,7 +182,7 @@
--includedir=DIR C header files in DIR [PREFIX/include]
--oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
--logdir=DIR log files in DIR [PREFIX/var/log/ircd]
@@ -37,7 +44,7 @@
--infodir=DIR info documentation in DIR [PREFIX/info]
--mandir=DIR man documentation in DIR [PREFIX/man]
--srcdir=DIR find the sources in DIR [configure dir or ..]
-@@ -250,7 +254,7 @@ EOF
+@@ -250,7 +254,7 @@
-logdir=* | --logdir=* | --logdi=* | --logd=*)
logdir="$ac_optarg/" ;;
@@ -46,7 +53,7 @@
ac_prev=codepagedir ;;
-codepagedir=* | --codepagedir=* | --codepagedi=* | --codepaged=* | --codepage=*)
codepagedir="$ac_optarg/" ;;
-@@ -612,7 +616,7 @@ else { echo "configure: error: can not r
+@@ -612,7 +616,7 @@
fi
echo $ac_n "checking host system type""... $ac_c" 1>&6
@@ -55,7 +62,7 @@
host_alias=$host
case "$host_alias" in
-@@ -633,7 +637,7 @@ host_os=`echo $host | sed 's/^\([^-]*\)-
+@@ -633,7 +637,7 @@
echo "$ac_t""$host" 1>&6
echo $ac_n "checking target system type""... $ac_c" 1>&6
@@ -64,7 +71,7 @@
target_alias=$target
case "$target_alias" in
-@@ -651,7 +655,7 @@ target_os=`echo $target | sed 's/^\([^-]
+@@ -651,7 +655,7 @@
echo "$ac_t""$target" 1>&6
echo $ac_n "checking build system type""... $ac_c" 1>&6
@@ -73,7 +80,7 @@
build_alias=$build
case "$build_alias" in
-@@ -676,7 +680,7 @@ test "$host_alias" != "$target_alias" &&
+@@ -676,7 +680,7 @@
echo $ac_n "checking cached system tuple""... $ac_c" 1>&6
@@ -82,7 +89,7 @@
if { test x"${ac_cv_host_system_type+set}" = x"set" &&
test x"$ac_cv_host_system_type" != x"$host"; } ||
{ test x"${ac_cv_build_system_type+set}" = x"set" &&
-@@ -697,7 +701,7 @@ echo "configure:673: checking cached sys
+@@ -697,7 +701,7 @@
# Extract the first word of "gcc", so it can be a program name with args.
set dummy gcc; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
@@ -91,7 +98,7 @@
if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
-@@ -727,7 +731,7 @@ if test -z "$CC"; then
+@@ -727,7 +731,7 @@
# Extract the first word of "cc", so it can be a program name with args.
set dummy cc; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
@@ -100,7 +107,7 @@
if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
-@@ -775,7 +779,7 @@ fi
+@@ -775,7 +779,7 @@
test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
fi
echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
@@ -109,7 +116,7 @@
ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
-@@ -786,12 +790,12 @@ cross_compiling=$ac_cv_prog_cc_cross
+@@ -786,12 +790,12 @@
cat > conftest.$ac_ext << EOF
@@ -124,7 +131,7 @@
ac_cv_prog_cc_works=yes
# If we can't run a trivial program, we are probably using a cross compiler.
if (./conftest; exit) 2>/dev/null; then
-@@ -817,12 +821,12 @@ if test $ac_cv_prog_cc_works = no; then
+@@ -817,12 +821,12 @@
{ echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
fi
echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
@@ -139,7 +146,7 @@
if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
-@@ -831,7 +835,7 @@ else
+@@ -831,7 +835,7 @@
yes;
#endif
EOF
@@ -148,7 +155,7 @@
ac_cv_prog_gcc=yes
else
ac_cv_prog_gcc=no
-@@ -845,7 +849,7 @@ if test $ac_cv_prog_gcc = yes; then
+@@ -845,7 +849,7 @@
ac_save_CFLAGS="$CFLAGS"
CFLAGS=
echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
@@ -157,7 +164,7 @@
if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
-@@ -863,14 +867,14 @@ echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
+@@ -863,14 +867,14 @@
if test "$ac_test_CFLAGS" = set; then
CFLAGS="$ac_save_CFLAGS"
else
@@ -174,7 +181,7 @@
# On Suns, sometimes $CPP names a directory.
if test -n "$CPP" && test -d "$CPP"; then
CPP=
-@@ -885,13 +889,13 @@ else
+@@ -885,13 +889,13 @@
# On the NeXT, cc -E runs the code through the compiler's parser,
# not just through cpp.
cat > conftest.$ac_ext <<EOF
@@ -190,7 +197,7 @@
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
:
-@@ -902,13 +906,13 @@ else
+@@ -902,13 +906,13 @@
rm -rf conftest*
CPP="${CC-cc} -E -traditional-cpp"
cat > conftest.$ac_ext <<EOF
@@ -206,7 +213,7 @@
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
:
-@@ -919,13 +923,13 @@ else
+@@ -919,13 +923,13 @@
rm -rf conftest*
CPP="${CC-cc} -nologo -E"
cat > conftest.$ac_ext <<EOF
@@ -222,7 +229,7 @@
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
:
-@@ -949,12 +953,12 @@ else
+@@ -949,12 +953,12 @@
fi
echo "$ac_t""$CPP" 1>&6
@@ -237,7 +244,7 @@
if eval "test \"`echo '$''{'ac_cv_prog_AWK'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
-@@ -996,7 +1000,7 @@ done
+@@ -996,7 +1000,7 @@
# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
# ./install, which can be erroneously created by make from ./install.sh.
echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
@@ -246,7 +253,7 @@
if test -z "$INSTALL"; then
if eval "test \"`echo '$''{'ac_cv_path_install'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
-@@ -1053,7 +1057,7 @@ do
+@@ -1053,7 +1057,7 @@
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
@@ -255,7 +262,7 @@
if eval "test \"`echo '$''{'ac_cv_path_SUM'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
-@@ -1091,13 +1095,13 @@ test -n "$SUM" || SUM="true"
+@@ -1091,13 +1095,13 @@
if test $ac_cv_prog_gcc = yes; then
echo $ac_n "checking whether ${CC-cc} needs -traditional""... $ac_c" 1>&6
@@ -271,7 +278,7 @@
#include "confdefs.h"
#include <sgtty.h>
Autoconf TIOCGETP
-@@ -1115,7 +1119,7 @@ rm -f conftest*
+@@ -1115,7 +1119,7 @@
if test $ac_cv_prog_gcc_traditional = no; then
cat > conftest.$ac_ext <<EOF
@@ -280,7 +287,7 @@
#include "confdefs.h"
#include <termio.h>
Autoconf TCGETA
-@@ -1138,7 +1142,7 @@ fi
+@@ -1138,7 +1142,7 @@
echo $ac_n "checking for AIX""... $ac_c" 1>&6
@@ -289,7 +296,7 @@
if eval "test \"`echo '$''{'irc_cv_aix'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
-@@ -1170,7 +1174,7 @@ EOF
+@@ -1170,7 +1174,7 @@
fi
echo $ac_n "checking for POSIXized ISC""... $ac_c" 1>&6
@@ -298,7 +305,7 @@
if test -d /etc/conf/kconfig.d &&
grep _POSIX_VERSION /usr/include/sys/unistd.h >/dev/null 2>&1
then
-@@ -1192,17 +1196,17 @@ fi
+@@ -1192,17 +1196,17 @@
ac_safe=`echo "minix/config.h" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for minix/config.h""... $ac_c" 1>&6
@@ -319,7 +326,7 @@
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
rm -rf conftest*
-@@ -1240,9 +1244,9 @@ EOF
+@@ -1240,9 +1244,9 @@
fi
echo $ac_n "checking for SGI's cc""... $ac_c" 1>&6
@@ -331,7 +338,7 @@
#include "confdefs.h"
#ifdef sgi
yes
-@@ -1265,9 +1269,9 @@ rm -f conftest*
+@@ -1265,9 +1269,9 @@
echo $ac_n "checking for HPUX's cc""... $ac_c" 1>&6
@@ -343,7 +350,7 @@
#include "confdefs.h"
#ifdef hpux
yes
-@@ -1290,7 +1294,7 @@ rm -f conftest*
+@@ -1290,7 +1294,7 @@
echo $ac_n "checking for SunOS""... $ac_c" 1>&6
@@ -352,7 +359,7 @@
if eval "test \"`echo '$''{'irc_cv_sun'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
-@@ -1330,13 +1334,13 @@ EOF
+@@ -1330,13 +1334,13 @@
fi
echo $ac_n "checking for Linux""... $ac_c" 1>&6
@@ -368,7 +375,7 @@
#include "confdefs.h"
#include <netdb.h>
EOF
-@@ -1370,12 +1374,12 @@ EOF
+@@ -1370,12 +1374,12 @@
fi
echo $ac_n "checking for Cygwin environment""... $ac_c" 1>&6
@@ -383,7 +390,7 @@
#include "confdefs.h"
int main() {
-@@ -1386,7 +1390,7 @@ int main() {
+@@ -1386,7 +1390,7 @@
return __CYGWIN__;
; return 0; }
EOF
@@ -392,7 +399,7 @@
rm -rf conftest*
ac_cv_cygwin=yes
else
-@@ -1411,12 +1415,12 @@ fi
+@@ -1411,12 +1415,12 @@
echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
@@ -407,7 +414,7 @@
#include "confdefs.h"
#include <stdlib.h>
#include <stdarg.h>
-@@ -1424,7 +1428,7 @@ else
+@@ -1424,7 +1428,7 @@
#include <float.h>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
@@ -416,7 +423,7 @@
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
rm -rf conftest*
-@@ -1441,7 +1445,7 @@ rm -f conftest*
+@@ -1441,7 +1445,7 @@
if test $ac_cv_header_stdc = yes; then
# SunOS 4.x string.h does not declare mem*, contrary to ANSI.
cat > conftest.$ac_ext <<EOF
@@ -425,7 +432,7 @@
#include "confdefs.h"
#include <string.h>
EOF
-@@ -1459,7 +1463,7 @@ fi
+@@ -1459,7 +1463,7 @@
if test $ac_cv_header_stdc = yes; then
# ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
cat > conftest.$ac_ext <<EOF
@@ -434,7 +441,7 @@
#include "confdefs.h"
#include <stdlib.h>
EOF
-@@ -1480,7 +1484,7 @@ if test "$cross_compiling" = yes; then
+@@ -1480,7 +1484,7 @@
:
else
cat > conftest.$ac_ext <<EOF
@@ -443,7 +450,7 @@
#include "confdefs.h"
#include <ctype.h>
#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
-@@ -1491,7 +1495,7 @@ if (XOR (islower (i), ISLOWER (i)) || to
+@@ -1491,7 +1495,7 @@
exit (0); }
EOF
@@ -452,7 +459,7 @@
then
:
else
-@@ -1515,12 +1519,12 @@ EOF
+@@ -1515,12 +1519,12 @@
fi
echo $ac_n "checking for sys/wait.h that is POSIX.1 compatible""... $ac_c" 1>&6
@@ -467,7 +474,7 @@
#include "confdefs.h"
#include <sys/types.h>
#include <sys/wait.h>
-@@ -1536,7 +1540,7 @@ wait (&s);
+@@ -1536,7 +1540,7 @@
s = WIFEXITED (s) ? WEXITSTATUS (s) : 1;
; return 0; }
EOF
@@ -476,7 +483,7 @@
rm -rf conftest*
ac_cv_header_sys_wait_h=yes
else
-@@ -1560,17 +1564,17 @@ for ac_hdr in stdio.h stdlib.h sys/types
+@@ -1560,17 +1564,17 @@
do
ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
@@ -497,7 +504,7 @@
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
rm -rf conftest*
-@@ -1597,12 +1601,12 @@ fi
+@@ -1597,12 +1601,12 @@
done
echo $ac_n "checking for sys_nerr declaration in stdio.h, errno.h or sys/errno.h""... $ac_c" 1>&6
@@ -512,7 +519,7 @@
#include "confdefs.h"
#if HAVE_SYS_TYPES_H
-@@ -1621,7 +1625,7 @@ int main() {
+@@ -1621,7 +1625,7 @@
int num = sys_nerr;
; return 0; }
EOF
@@ -521,7 +528,7 @@
rm -rf conftest*
irc_cv_decl_sys_nerr=yes
else
-@@ -1642,12 +1646,12 @@ EOF
+@@ -1642,12 +1646,12 @@
fi
echo $ac_n "checking for errno declaration in errno.h or sys/errno.h""... $ac_c" 1>&6
@@ -536,7 +543,7 @@
#include "confdefs.h"
#if HAVE_SYS_TYPES_H
-@@ -1663,7 +1667,7 @@ int main() {
+@@ -1663,7 +1667,7 @@
int num = errno;
; return 0; }
EOF
@@ -545,7 +552,7 @@
rm -rf conftest*
irc_cv_decl_errno=yes
else
-@@ -1684,12 +1688,12 @@ EOF
+@@ -1684,12 +1688,12 @@
fi
echo $ac_n "checking for h_errno declaration in errno.h, sys/errno.h or netdb.h""... $ac_c" 1>&6
@@ -560,7 +567,7 @@
#include "confdefs.h"
#if HAVE_SYS_TYPES_H
-@@ -1708,7 +1712,7 @@ int main() {
+@@ -1708,7 +1712,7 @@
int num = h_errno;
; return 0; }
EOF
@@ -569,7 +576,7 @@
rm -rf conftest*
irc_cv_decl_h_errno=yes
else
-@@ -1729,12 +1733,12 @@ EOF
+@@ -1729,12 +1733,12 @@
fi
echo $ac_n "checking whether stat file-mode macros are broken""... $ac_c" 1>&6
@@ -584,7 +591,7 @@
#include "confdefs.h"
#include <sys/types.h>
#include <sys/stat.h>
-@@ -1785,12 +1789,12 @@ EOF
+@@ -1785,12 +1789,12 @@
fi
echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
@@ -599,7 +606,7 @@
#include "confdefs.h"
#include <sys/types.h>
#include <sys/time.h>
-@@ -1799,7 +1803,7 @@ int main() {
+@@ -1799,7 +1803,7 @@
struct tm *tp;
; return 0; }
EOF
@@ -608,7 +615,7 @@
rm -rf conftest*
ac_cv_header_time=yes
else
-@@ -1820,12 +1824,12 @@ EOF
+@@ -1820,12 +1824,12 @@
fi
echo $ac_n "checking whether struct tm is in sys/time.h or time.h""... $ac_c" 1>&6
@@ -623,7 +630,7 @@
#include "confdefs.h"
#include <sys/types.h>
#include <time.h>
-@@ -1833,7 +1837,7 @@ int main() {
+@@ -1833,7 +1837,7 @@
struct tm *tp; tp->tm_sec;
; return 0; }
EOF
@@ -632,7 +639,7 @@
rm -rf conftest*
ac_cv_struct_tm=time.h
else
-@@ -1854,12 +1858,12 @@ EOF
+@@ -1854,12 +1858,12 @@
fi
echo $ac_n "checking for mode_t""... $ac_c" 1>&6
@@ -647,7 +654,7 @@
#include "confdefs.h"
#include <sys/types.h>
#if STDC_HEADERS
-@@ -1887,12 +1891,12 @@ EOF
+@@ -1887,12 +1891,12 @@
fi
echo $ac_n "checking for off_t""... $ac_c" 1>&6
@@ -662,7 +669,7 @@
#include "confdefs.h"
#include <sys/types.h>
#if STDC_HEADERS
-@@ -1920,12 +1924,12 @@ EOF
+@@ -1920,12 +1924,12 @@
fi
echo $ac_n "checking for pid_t""... $ac_c" 1>&6
@@ -677,7 +684,7 @@
#include "confdefs.h"
#include <sys/types.h>
#if STDC_HEADERS
-@@ -1953,12 +1957,12 @@ EOF
+@@ -1953,12 +1957,12 @@
fi
echo $ac_n "checking return type of signal handlers""... $ac_c" 1>&6
@@ -692,7 +699,7 @@
#include "confdefs.h"
#include <sys/types.h>
#include <signal.h>
-@@ -1975,7 +1979,7 @@ int main() {
+@@ -1975,7 +1979,7 @@
int i;
; return 0; }
EOF
@@ -701,7 +708,7 @@
rm -rf conftest*
ac_cv_type_signal=void
else
-@@ -1994,12 +1998,12 @@ EOF
+@@ -1994,12 +1998,12 @@
echo $ac_n "checking for size_t""... $ac_c" 1>&6
@@ -716,7 +723,7 @@
#include "confdefs.h"
#include <sys/types.h>
#if STDC_HEADERS
-@@ -2027,12 +2031,12 @@ EOF
+@@ -2027,12 +2031,12 @@
fi
echo $ac_n "checking for uid_t in sys/types.h""... $ac_c" 1>&6
@@ -731,7 +738,7 @@
#include "confdefs.h"
#include <sys/types.h>
EOF
-@@ -2061,12 +2065,12 @@ EOF
+@@ -2061,12 +2065,12 @@
fi
echo $ac_n "checking whether an union wait * is mandatory in waitpid""... $ac_c" 1>&6
@@ -746,7 +753,7 @@
#include "confdefs.h"
#if HAVE_SYS_WAIT_H
-@@ -2079,7 +2083,7 @@ waitpid(-1, &status, 0);
+@@ -2079,7 +2083,7 @@
; return 0; }
EOF
@@ -755,7 +762,7 @@
rm -rf conftest*
irc_cv_type_union_wait=no
else
-@@ -2087,7 +2091,7 @@ else
+@@ -2087,7 +2091,7 @@
cat conftest.$ac_ext >&5
rm -rf conftest*
cat > conftest.$ac_ext <<EOF
@@ -764,7 +771,7 @@
#include "confdefs.h"
#if HAVE_SYS_WAIT_H
-@@ -2100,7 +2104,7 @@ waitpid(-1, &status, 0);
+@@ -2100,7 +2104,7 @@
; return 0; }
EOF
@@ -773,7 +780,7 @@
rm -rf conftest*
irc_cv_type_union_wait=yes
else
-@@ -2125,12 +2129,12 @@ else
+@@ -2125,12 +2129,12 @@
fi
echo $ac_n "checking for int8_t""... $ac_c" 1>&6
@@ -788,7 +795,7 @@
#include "confdefs.h"
#if HAVE_SYS_TYPES_H
-@@ -2164,12 +2168,12 @@ EOF
+@@ -2164,12 +2168,12 @@
fi
echo $ac_n "checking for u_int8_t""... $ac_c" 1>&6
@@ -803,7 +810,7 @@
#include "confdefs.h"
#if HAVE_SYS_TYPES_H
-@@ -2203,12 +2207,12 @@ EOF
+@@ -2203,12 +2207,12 @@
fi
echo $ac_n "checking for int16_t""... $ac_c" 1>&6
@@ -818,7 +825,7 @@
#include "confdefs.h"
#if HAVE_SYS_TYPES_H
-@@ -2242,12 +2246,12 @@ EOF
+@@ -2242,12 +2246,12 @@
fi
echo $ac_n "checking for u_int16_t""... $ac_c" 1>&6
@@ -833,7 +840,7 @@
#include "confdefs.h"
#if HAVE_SYS_TYPES_H
-@@ -2281,12 +2285,12 @@ EOF
+@@ -2281,12 +2285,12 @@
fi
echo $ac_n "checking for int32_t""... $ac_c" 1>&6
@@ -848,7 +855,7 @@
#include "confdefs.h"
#if HAVE_SYS_TYPES_H
-@@ -2320,12 +2324,12 @@ EOF
+@@ -2320,12 +2324,12 @@
fi
echo $ac_n "checking for u_int32_t""... $ac_c" 1>&6
@@ -863,7 +870,7 @@
#include "confdefs.h"
#if HAVE_SYS_TYPES_H
-@@ -2359,12 +2363,12 @@ EOF
+@@ -2359,12 +2363,12 @@
fi
echo $ac_n "checking for u_char""... $ac_c" 1>&6
@@ -878,7 +885,7 @@
#include "confdefs.h"
#if HAVE_SYS_TYPES_H
-@@ -2398,12 +2402,12 @@ EOF
+@@ -2398,12 +2402,12 @@
fi
echo $ac_n "checking for u_short""... $ac_c" 1>&6
@@ -893,7 +900,7 @@
#include "confdefs.h"
#if HAVE_SYS_TYPES_H
-@@ -2437,12 +2441,12 @@ EOF
+@@ -2437,12 +2441,12 @@
fi
echo $ac_n "checking for u_int""... $ac_c" 1>&6
@@ -908,7 +915,7 @@
#include "confdefs.h"
#if HAVE_SYS_TYPES_H
-@@ -2476,12 +2480,12 @@ EOF
+@@ -2476,12 +2480,12 @@
fi
echo $ac_n "checking for u_long""... $ac_c" 1>&6
@@ -923,7 +930,7 @@
#include "confdefs.h"
#if HAVE_SYS_TYPES_H
-@@ -2516,14 +2520,14 @@ fi
+@@ -2516,14 +2520,14 @@
echo $ac_n "checking whether byte ordering is bigendian""... $ac_c" 1>&6
@@ -940,7 +947,7 @@
#include "confdefs.h"
#include <sys/types.h>
#include <sys/param.h>
-@@ -2534,11 +2538,11 @@ int main() {
+@@ -2534,11 +2538,11 @@
#endif
; return 0; }
EOF
@@ -954,7 +961,7 @@
#include "confdefs.h"
#include <sys/types.h>
#include <sys/param.h>
-@@ -2549,7 +2553,7 @@ int main() {
+@@ -2549,7 +2553,7 @@
#endif
; return 0; }
EOF
@@ -963,7 +970,7 @@
rm -rf conftest*
ac_cv_c_bigendian=yes
else
-@@ -2569,7 +2573,7 @@ if test "$cross_compiling" = yes; then
+@@ -2569,7 +2573,7 @@
{ echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
cat > conftest.$ac_ext <<EOF
@@ -972,7 +979,7 @@
#include "confdefs.h"
main () {
/* Are we little or big endian? From Harbison&Steele. */
-@@ -2582,7 +2586,7 @@ main () {
+@@ -2582,7 +2586,7 @@
exit (u.c[sizeof (long) - 1] == 1);
}
EOF
@@ -981,7 +988,7 @@
then
ac_cv_c_bigendian=no
else
-@@ -2606,12 +2610,12 @@ EOF
+@@ -2606,12 +2610,12 @@
fi
echo $ac_n "checking for working const""... $ac_c" 1>&6
@@ -996,7 +1003,7 @@
#include "confdefs.h"
int main() {
-@@ -2660,7 +2664,7 @@ ccp = (char const *const *) p;
+@@ -2660,7 +2664,7 @@
; return 0; }
EOF
@@ -1005,7 +1012,7 @@
rm -rf conftest*
ac_cv_c_const=yes
else
-@@ -2682,7 +2686,7 @@ fi
+@@ -2682,7 +2686,7 @@
echo $ac_n "checking for crypt in -lcrypt""... $ac_c" 1>&6
@@ -1014,7 +1021,7 @@
ac_lib_var=`echo crypt'_'crypt | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
-@@ -2690,7 +2694,7 @@ else
+@@ -2690,7 +2694,7 @@
ac_save_LIBS="$LIBS"
LIBS="-lcrypt $LIBS"
cat > conftest.$ac_ext <<EOF
@@ -1023,7 +1030,7 @@
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
-@@ -2701,7 +2705,7 @@ int main() {
+@@ -2701,7 +2705,7 @@
crypt()
; return 0; }
EOF
@@ -1032,7 +1039,7 @@
rm -rf conftest*
eval "ac_cv_lib_$ac_lib_var=yes"
else
-@@ -2729,7 +2733,7 @@ else
+@@ -2729,7 +2733,7 @@
fi
echo $ac_n "checking for socket in -lsocket""... $ac_c" 1>&6
@@ -1041,7 +1048,7 @@
ac_lib_var=`echo socket'_'socket | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
-@@ -2737,7 +2741,7 @@ else
+@@ -2737,7 +2741,7 @@
ac_save_LIBS="$LIBS"
LIBS="-lsocket $LIBS"
cat > conftest.$ac_ext <<EOF
@@ -1050,7 +1057,7 @@
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
-@@ -2748,7 +2752,7 @@ int main() {
+@@ -2748,7 +2752,7 @@
socket()
; return 0; }
EOF
@@ -1059,7 +1066,7 @@
rm -rf conftest*
eval "ac_cv_lib_$ac_lib_var=yes"
else
-@@ -2776,7 +2780,7 @@ else
+@@ -2776,7 +2780,7 @@
fi
echo $ac_n "checking for socket in -lnsl""... $ac_c" 1>&6
@@ -1068,7 +1075,7 @@
ac_lib_var=`echo nsl'_'socket | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
-@@ -2784,7 +2788,7 @@ else
+@@ -2784,7 +2788,7 @@
ac_save_LIBS="$LIBS"
LIBS="-lnsl $LIBS"
cat > conftest.$ac_ext <<EOF
@@ -1077,7 +1084,7 @@
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
-@@ -2795,7 +2799,7 @@ int main() {
+@@ -2795,7 +2799,7 @@
socket()
; return 0; }
EOF
@@ -1086,7 +1093,7 @@
rm -rf conftest*
eval "ac_cv_lib_$ac_lib_var=yes"
else
-@@ -2824,21 +2828,22 @@ fi
+@@ -2824,21 +2828,22 @@
echo $ac_n "checking library containing pow""... $ac_c" 1>&6
@@ -1113,7 +1120,7 @@
rm -rf conftest*
MATHLIBS=
else
-@@ -2849,14 +2854,14 @@ else
+@@ -2849,14 +2854,14 @@
irc_cv_mathlib="-lm"
LIBS="-lm $LIBS"
cat > conftest.$ac_ext <<EOF
@@ -1130,7 +1137,7 @@
rm -rf conftest*
MATHLIBS=-lm
else
-@@ -2877,7 +2882,7 @@ fi
+@@ -2877,7 +2882,7 @@
echo $ac_n "checking for zlib package""... $ac_c" 1>&6
@@ -1139,7 +1146,7 @@
# Check whether --with-zlib or --without-zlib was given.
if test "${with_zlib+set}" = set; then
withval="$with_zlib"
-@@ -2900,12 +2905,12 @@ else
+@@ -2900,12 +2905,12 @@
no_zlib_include=yes
no_zlib_library=yes
cat > conftest.$ac_ext <<EOF
@@ -1154,7 +1161,7 @@
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
rm -rf conftest*
-@@ -2939,14 +2944,14 @@ rm -f conftest*
+@@ -2939,14 +2944,14 @@
irc_save_LIBS="$LIBS"
LIBS="-lz $LIBS"
cat > conftest.$ac_ext <<EOF
@@ -1171,7 +1178,7 @@
rm -rf conftest*
no_zlib_library=
irc_zlib_library=
-@@ -3024,7 +3029,7 @@ fi
+@@ -3024,7 +3029,7 @@
echo $ac_n "checking which curses or termcap library will be used""... $ac_c" 1>&6
@@ -1180,7 +1187,7 @@
# Check whether --with-ncurses or --without-ncurses was given.
if test "${with_ncurses+set}" = set; then
withval="$with_ncurses"
-@@ -3055,14 +3060,14 @@ else
+@@ -3055,14 +3060,14 @@
irc_save_LIBS="$LIBS"
LIBS="-lncurses $irc_save_LIBS"
cat > conftest.$ac_ext <<EOF
@@ -1197,7 +1204,7 @@
rm -rf conftest*
irc_ncurses=yes
else
-@@ -3074,14 +3079,14 @@ fi
+@@ -3074,14 +3079,14 @@
rm -f conftest*
LIBS="-lcursesX $irc_save_LIBS"
cat > conftest.$ac_ext <<EOF
@@ -1214,7 +1221,7 @@
rm -rf conftest*
irc_cursesX=yes
else
-@@ -3093,14 +3098,14 @@ fi
+@@ -3093,14 +3098,14 @@
rm -f conftest*
LIBS="-lcurses $irc_save_LIBS"
cat > conftest.$ac_ext <<EOF
@@ -1231,7 +1238,7 @@
rm -rf conftest*
irc_curses=yes
else
-@@ -3112,14 +3117,14 @@ fi
+@@ -3112,14 +3117,14 @@
rm -f conftest*
LIBS="-lcurses -ltermcap $irc_save_LIBS"
cat > conftest.$ac_ext <<EOF
@@ -1248,7 +1255,7 @@
rm -rf conftest*
irc_curses_termcap=yes
else
-@@ -3131,14 +3136,14 @@ fi
+@@ -3131,14 +3136,14 @@
rm -f conftest*
LIBS="-ltermcap $irc_save_LIBS"
cat > conftest.$ac_ext <<EOF
@@ -1265,7 +1272,7 @@
rm -rf conftest*
irc_termcap=yes
else
-@@ -3211,7 +3216,7 @@ fi
+@@ -3211,7 +3216,7 @@
echo $ac_n "checking whether setpgrp takes no argument""... $ac_c" 1>&6
@@ -1274,7 +1281,7 @@
if eval "test \"`echo '$''{'ac_cv_func_setpgrp_void'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
-@@ -3219,7 +3224,7 @@ else
+@@ -3219,7 +3224,7 @@
{ echo "configure: error: cannot check setpgrp if cross compiling" 1>&2; exit 1; }
else
cat > conftest.$ac_ext <<EOF
@@ -1283,7 +1290,7 @@
#include "confdefs.h"
#ifdef HAVE_UNISTD_H
-@@ -3239,7 +3244,7 @@ main()
+@@ -3239,7 +3244,7 @@
}
EOF
@@ -1292,7 +1299,7 @@
then
ac_cv_func_setpgrp_void=no
else
-@@ -3263,7 +3268,7 @@ EOF
+@@ -3263,7 +3268,7 @@
fi
echo $ac_n "checking whether setvbuf arguments are reversed""... $ac_c" 1>&6
@@ -1301,7 +1308,7 @@
if eval "test \"`echo '$''{'ac_cv_func_setvbuf_reversed'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
-@@ -3271,7 +3276,7 @@ else
+@@ -3271,7 +3276,7 @@
{ echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
cat > conftest.$ac_ext <<EOF
@@ -1310,7 +1317,7 @@
#include "confdefs.h"
#include <stdio.h>
/* If setvbuf has the reversed format, exit 0. */
-@@ -3285,7 +3290,7 @@ main () {
+@@ -3285,7 +3290,7 @@
exit(0); /* Non-reversed systems segv here. */
}
EOF
@@ -1319,7 +1326,7 @@
then
ac_cv_func_setvbuf_reversed=yes
else
-@@ -3310,17 +3315,17 @@ fi
+@@ -3310,17 +3315,17 @@
ac_safe=`echo "vfork.h" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for vfork.h""... $ac_c" 1>&6
@@ -1340,7 +1347,7 @@
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
rm -rf conftest*
-@@ -3345,18 +3350,18 @@ else
+@@ -3345,18 +3350,18 @@
fi
echo $ac_n "checking for working vfork""... $ac_c" 1>&6
@@ -1362,7 +1369,7 @@
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char vfork(); below. */
-@@ -3379,7 +3384,7 @@ vfork();
+@@ -3379,7 +3384,7 @@
; return 0; }
EOF
@@ -1371,7 +1378,7 @@
rm -rf conftest*
eval "ac_cv_func_vfork=yes"
else
-@@ -3401,7 +3406,7 @@ fi
+@@ -3401,7 +3406,7 @@
ac_cv_func_vfork_works=$ac_cv_func_vfork
else
cat > conftest.$ac_ext <<EOF
@@ -1380,7 +1387,7 @@
#include "confdefs.h"
/* Thanks to Paul Eggert for this test. */
#include <stdio.h>
-@@ -3496,7 +3501,7 @@ main() {
+@@ -3496,7 +3501,7 @@
}
}
EOF
@@ -1389,7 +1396,7 @@
then
ac_cv_func_vfork_works=yes
else
-@@ -3518,15 +3523,15 @@ EOF
+@@ -3518,15 +3523,15 @@
fi
@@ -1408,7 +1415,7 @@
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func(); below. */
-@@ -3549,7 +3554,7 @@ $ac_func();
+@@ -3549,7 +3554,7 @@
; return 0; }
EOF
@@ -1417,7 +1424,7 @@
rm -rf conftest*
eval "ac_cv_func_$ac_func=yes"
else
-@@ -3574,12 +3579,12 @@ fi
+@@ -3574,12 +3579,12 @@
done
echo $ac_n "checking for sys_errlist declaration in stdio.h, errno.h or sys/errno.h""... $ac_c" 1>&6
@@ -1432,7 +1439,7 @@
#include "confdefs.h"
#if HAVE_SYS_TYPES_H
-@@ -3598,7 +3603,7 @@ int main() {
+@@ -3598,7 +3603,7 @@
char *msg = sys_errlist[0];
; return 0; }
EOF
@@ -1441,7 +1448,7 @@
rm -rf conftest*
irc_cv_decl_sys_errlist=yes
else
-@@ -3621,7 +3626,7 @@ elif test $ac_cv_func_strerror != yes; t
+@@ -3621,7 +3626,7 @@
fi
echo $ac_n "checking for 8-bit clean memcmp""... $ac_c" 1>&6
@@ -1450,7 +1457,7 @@
if eval "test \"`echo '$''{'irc_cv_func_memcmp_clean'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
-@@ -3629,7 +3634,7 @@ else
+@@ -3629,7 +3634,7 @@
irc_cv_func_memcmp_clean=no
else
cat > conftest.$ac_ext <<EOF
@@ -1459,7 +1466,7 @@
#include "confdefs.h"
main()
-@@ -3639,7 +3644,7 @@ main()
+@@ -3639,7 +3644,7 @@
}
EOF
@@ -1468,7 +1475,7 @@
then
irc_cv_func_memcmp_clean=yes
else
-@@ -3662,7 +3667,7 @@ EOF
+@@ -3662,7 +3667,7 @@
fi
echo $ac_n "checking whether select or poll system call will be used""... $ac_c" 1>&6
@@ -1477,7 +1484,7 @@
if eval "test \"`echo '$''{'irc_cv_select_poll'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
-@@ -3691,7 +3696,7 @@ fi
+@@ -3691,7 +3696,7 @@
echo $ac_n "checking for signal implementation""... $ac_c" 1>&6
@@ -1486,7 +1493,7 @@
if eval "test \"`echo '$''{'irc_cv_signal_implementation'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
-@@ -3704,7 +3709,7 @@ else
+@@ -3704,7 +3709,7 @@
{ echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
cat > conftest.$ac_ext <<EOF
@@ -1495,7 +1502,7 @@
#include "confdefs.h"
#if HAVE_SYS_TYPES_H
-@@ -3735,7 +3740,7 @@ main()
+@@ -3735,7 +3740,7 @@
}
EOF
@@ -1504,7 +1511,7 @@
then
irc_cv_signal_implementation=bsd_signal
else
-@@ -3782,7 +3787,7 @@ EOF
+@@ -3782,7 +3787,7 @@
fi
echo $ac_n "checking for a working non-blocking system""... $ac_c" 1>&6
@@ -1513,7 +1520,7 @@
if eval "test \"`echo '$''{'irc_cv_non_blocking_system'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
-@@ -3838,11 +3843,11 @@ if test "$cross_compiling" = yes; then
+@@ -3838,11 +3843,11 @@
{ echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
cat > conftest.$ac_ext <<EOF
@@ -1527,7 +1534,7 @@
then
irc_cv_non_blocking_system=posix
else
-@@ -3853,11 +3858,11 @@ else
+@@ -3853,11 +3858,11 @@
{ echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
cat > conftest.$ac_ext <<EOF
@@ -1541,7 +1548,7 @@
then
irc_cv_non_blocking_system=bsd
else
-@@ -3868,11 +3873,11 @@ else
+@@ -3868,11 +3873,11 @@
{ echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
cat > conftest.$ac_ext <<EOF
@@ -1555,7 +1562,7 @@
then
irc_cv_non_blocking_system=sysv
else
-@@ -3919,7 +3924,7 @@ else
+@@ -3919,7 +3924,7 @@
fi
echo $ac_n "checking for working stdarg""... $ac_c" 1>&6
@@ -1564,7 +1571,7 @@
if eval "test \"`echo '$''{'irc_cv_stdarg'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
-@@ -3927,7 +3932,7 @@ else
+@@ -3927,7 +3932,7 @@
{ echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
cat > conftest.$ac_ext <<EOF
@@ -1573,7 +1580,7 @@
#include "confdefs.h"
#if HAVE_STDIO_H
-@@ -4009,7 +4014,7 @@ int main(void)
+@@ -4009,7 +4014,7 @@
}
EOF
@@ -1582,7 +1589,7 @@
then
irc_cv_stdarg=yes
else
-@@ -4035,7 +4040,7 @@ else
+@@ -4035,7 +4040,7 @@
fi
echo $ac_n "checking for resolver configuration file""... $ac_c" 1>&6
@@ -1591,7 +1598,7 @@
if eval "test \"`echo '$''{'irc_cv_path_resconf'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
-@@ -4068,13 +4073,13 @@ if test "x$enable_ip6" != x; then
+@@ -4068,13 +4073,13 @@
EOF
echo $ac_n "checking IPv6 system type""... $ac_c" 1>&6
@@ -1607,7 +1614,7 @@
#include "confdefs.h"
#include <unistd.h>
-@@ -4083,7 +4088,7 @@ int main() {
+@@ -4083,7 +4088,7 @@
struct in6_addr addr
; return 0; }
EOF
@@ -1616,7 +1623,7 @@
rm -rf conftest*
irc_cv_v6type=native
else
-@@ -4095,7 +4100,7 @@ rm -f conftest*
+@@ -4095,7 +4100,7 @@
if test "x$irc_cv_v6type" = x; then
if test -d /usr/inet6; then
cat > conftest.$ac_ext <<EOF
@@ -1625,7 +1632,7 @@
#include "confdefs.h"
dnl
#include "/usr/inet6/include/netinet/in.h"
-@@ -4136,12 +4141,12 @@ fi
+@@ -4136,12 +4141,12 @@
for ac_func in getipnodebyname
do
echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
@@ -1640,7 +1647,7 @@
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func(); below. */
-@@ -4164,7 +4169,7 @@ $ac_func();
+@@ -4164,7 +4169,7 @@
; return 0; }
EOF
@@ -1649,7 +1656,7 @@
rm -rf conftest*
eval "ac_cv_func_$ac_func=yes"
else
-@@ -4190,7 +4195,7 @@ done
+@@ -4190,7 +4195,7 @@
echo $ac_n "checking for IPv6 name server addresses in resolv.conf ($irc_cv_path_resconf)""... $ac_c" 1>&6
@@ -1658,7 +1665,7 @@
if grep nameserver $irc_cv_path_resconf | grep ':' >/dev/null 2>&1; then
echo "$ac_t""yes" 1>&6
echo "configure: warning: $irc_cv_path_resconf is not setup correctly." 1>&2
-@@ -4214,17 +4219,17 @@ EOF
+@@ -4214,17 +4219,17 @@
do
ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
@@ -1679,7 +1686,7 @@
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
rm -rf conftest*
-@@ -4251,7 +4256,7 @@ fi
+@@ -4251,7 +4256,7 @@
done
echo $ac_n "checking for dlclose in -ldl""... $ac_c" 1>&6
@@ -1688,7 +1695,7 @@
ac_lib_var=`echo dl'_'dlclose | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
-@@ -4259,7 +4264,7 @@ else
+@@ -4259,7 +4264,7 @@
ac_save_LIBS="$LIBS"
LIBS="-ldl $LIBS"
cat > conftest.$ac_ext <<EOF
@@ -1697,7 +1704,7 @@
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
-@@ -4270,7 +4275,7 @@ int main() {
+@@ -4270,7 +4275,7 @@
dlclose()
; return 0; }
EOF
@@ -1706,7 +1713,7 @@
rm -rf conftest*
eval "ac_cv_lib_$ac_lib_var=yes"
else
-@@ -4294,12 +4299,12 @@ fi
+@@ -4294,12 +4299,12 @@
fi
echo $ac_n "checking whether this is an alpha/beta release""... $ac_c" 1>&6
@@ -1721,7 +1728,7 @@
#include "confdefs.h"
#include "../common/patchlevel.h"
#ifdef PATCHLEVEL
-@@ -4348,6 +4353,56 @@ if test ! "$ac_test_CFLAGS" = set; then
+@@ -4348,6 +4353,58 @@
fi
@@ -1763,13 +1770,15 @@
+
+fi
+
-+`id $user >/dev/null`
-+if test $? -eq 1; then
-+ { echo "configure: error: "no valid users set" " 1>&2; exit 1; }
-+fi
++# Have no fear, bsd.port.mk promises to make the users later!
++# We'll hardcode the UIDs because that's easy and hardcoded in UIDs anyway
++#`id $user >/dev/null`
++#if test $? -eq 1; then
++# { echo "configure: error: "no valid users set" " 1>&2; exit 1; }
++#fi
+echo "$ac_t""$user " 1>&6
-+IRC_UID=`id -ru $user`
-+IRC_GID=`id -rg $user`
++IRC_UID=72
++IRC_GID=72
+
+
+
@@ -1778,7 +1787,7 @@
trap '' 1 2 15
cat > confcache <<\EOF
# This file is a shell script that caches the results of configure
-@@ -4449,7 +4504,7 @@ done
+@@ -4449,7 +4506,7 @@
ac_given_srcdir=$srcdir
ac_given_INSTALL="$INSTALL"
@@ -1787,7 +1796,7 @@
EOF
cat >> $CONFIG_STATUS <<EOF
-@@ -4509,6 +4564,9 @@ s%@IRC_ZLIB_INCLUDE@%$IRC_ZLIB_INCLUDE%g
+@@ -4509,6 +4566,9 @@
s%@IRC_ZLIB_LIBRARY@%$IRC_ZLIB_LIBRARY%g
s%@IRC_CURSES_TERMCAP_LIBRARY@%$IRC_CURSES_TERMCAP_LIBRARY%g
s%@IRC_DLIB@%$IRC_DLIB%g
@@ -1797,7 +1806,7 @@
CEOF
EOF
-@@ -4550,7 +4608,7 @@ EOF
+@@ -4550,7 +4610,7 @@
cat >> $CONFIG_STATUS <<EOF
diff --git a/irc/ircd-rusnet/files/patch-support-configure.in b/irc/ircd-rusnet/files/patch-support-configure.in
deleted file mode 100644
index 308524cf133b..000000000000
--- a/irc/ircd-rusnet/files/patch-support-configure.in
+++ /dev/null
@@ -1,60 +0,0 @@
---- support/configure.in.orig 2003-09-30 17:23:20.000000000 +0300
-+++ support/configure.in 2004-11-10 08:38:57.000000000 +0200
-@@ -1329,7 +1329,7 @@
- test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
- AC_SUBST(INSTALL_PROGRAM)dnl
-
--test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
-+test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -g ${IRC_USER} -o ${IRC_UID} -m 644'
- AC_SUBST(INSTALL_DATA)dnl
- ])
-
-@@ -1434,6 +1434,38 @@
- fi
- ])
-
-+AC_DEFUN(IRC_SETUP_NETWORK,
-+[
-+AC_MSG_CHECKING("Set IRC Network Name[default Rusnet]")
-+AC_DEFINE(IRC_NETNAME)
-+AC_ARG_WITH(name, [ --with-netname=[name] set IRC Network Name],
-+[IRC_NETNAME=$withval],
-+[IRC_NETNAME='"RusNet"'],
-+)
-+AC_MSG_RESULT( $IRC_NETNAME )
-+AC_SUBST(IRC_NETNAME)
-+])
-+
-+AC_DEFUN(IRC_SETUP_USER,
-+[
-+AC_MSG_CHECKING("set user for own ircd files [default nobody]")
-+AC_DEFINE(IRC_UID)
-+AC_DEFINE(IRC_GID)
-+AC_ARG_WITH(user, [ --with-user=[username] set user for own ircd files],
-+[user=$withval],
-+[user="nobody"]
-+)
-+`id $user >/dev/null`
-+if test $? -eq 1; then
-+ AC_MSG_ERROR( "no valid users set" )
-+fi
-+AC_MSG_RESULT( $user )
-+IRC_UID=`id -ru $user`
-+IRC_GID=`id -rg $user`
-+
-+AC_SUBST(IRC_UID)
-+AC_SUBST(IRC_GID)
-+])
-
- dnl ----
- dnl main
-@@ -1521,5 +1553,8 @@
- IRC_SHAREDMODULES
- IRC_ALPHA_BETA
-
--AC_OUTPUT(Makefile:../support/Makefile.in version.c.SH:../ircd/version.c.SH.in sums:../support/sums.in tkconf.h:../support/tkconf.h.dist)
-+IRC_SETUP_NETWORK
-+IRC_SETUP_USER
-+
-+AC_OUTPUT(Makefile:../support/Makefile.in version.c.SH:../ircd/version.c.SH.in sums:../support/sums.in tkconf.h:../support/tkconf.h.dist config.h:../support/config.h.dist )
- AC_OUTPUT_COMMANDS(chmod a+x version.c.SH)
diff --git a/irc/ircd-rusnet/pkg-deinstall b/irc/ircd-rusnet/pkg-deinstall
deleted file mode 100644
index 384e47482cd9..000000000000
--- a/irc/ircd-rusnet/pkg-deinstall
+++ /dev/null
@@ -1,26 +0,0 @@
-#! /bin/sh
-
-if [ "$2" != "POST-DEINSTALL" ]; then
- exit 0
-fi
-
-PATH=/bin:/usr/bin
-
-USER=ircd
-GROUP=${USER}
-
-if /usr/sbin/pw groupdel ${GROUP}; then
- echo "Deleted group \"${GROUP}\""
-else
- echo "Deleting group \"${GROUP}\" failed"
- exit 1
-fi
-
-if /usr/sbin/pw userdel ${USER}; then
- echo "Deleted user \"${USER}\""
-else
- echo "Deleting user \"${USER}\" failed"
- exit 1
-fi
-
-exit 0
diff --git a/irc/ircd-rusnet/pkg-install b/irc/ircd-rusnet/pkg-install
deleted file mode 100644
index 0e7e251fabe4..000000000000
--- a/irc/ircd-rusnet/pkg-install
+++ /dev/null
@@ -1,35 +0,0 @@
-#! /bin/sh
-
-if [ "$2" != "PRE-CONFIGURE" -a "$2" != "PRE-INSTALL" ]; then
- exit 0
-fi
-
-PATH=/bin:/usr/bin
-
-USER=ircd
-UID=72
-GROUP=${USER}
-GID=${UID}
-
-if ! /usr/sbin/pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
- if /usr/sbin/pw groupadd ${GROUP} -g ${GID}; then
- echo -n "Added group: "
- /usr/sbin/pw groupshow ${GROUP}
- else
- echo "Adding group \"${GROUP}\" failed"
- exit 1
- fi
-fi
-
-if ! /usr/sbin/pw usershow "${USER}" 2>/dev/null 1>&2; then
- if /usr/sbin/pw useradd ${USER} -h - -u ${UID} -g ${GROUP} \
- -d "/nonexistent" -s "/sbin/nologin" -c "RusNet IRC Server"; then
- echo -n "Added user: "
- /usr/sbin/pw usershow ${USER}
- else
- echo "Adding user \"${USER}\" failed"
- exit 1
- fi
-fi
-
-exit 0